Maintenance
All operations require authentication, except the one marked Public.
List the work planned by operators for a partnerProduction
Returns the planned work operations of network operators, with their dates, duration, impact, impacted NRA/NRO and departments. Reserved for partners.
Response
Begin date, the work planned operation starts at this time
End date, the work planned operation finishes at the time
List of impacted department codes
Description of the work planned operation
Duration of the work planned operation
Fallback planned for the operation
Fallback operation starts at this time
Fallback operation ends at this time
Work Planned operation id
Impact of the work planned operation
Intervention type
BACKBONE_MAINTENANCECARD_SWAP_WITH_IMPACTCLUSTER_AN_ROUTER_MIGRATIONCORRECTIVE_MAINTENANCEDSLAM_LINK_UPGRADE_WITHOUT_CARD_SWAPDSLAM_UPGRADE_WITH_IMPACTFIBER_CABLE_LINK_SWAPFIBER_CONNECTION_WITH_IMPACTFIBER_MAINTENANCEFIBER_THIRD_PARTY_WORK_WITH_IMPACTIP_BACKBONE_LINK_MIGRATION_WITH_IMPACTIP_BACKBONE_SWITCH_UPGRADE_WITH_IMPACTIP_MAINTENANCELEVEL2_DSLAM_MIGRATIONLINK_MIGRATION_WITH_DSL_IMPACTLL_THIRD_PARTY_MAINTENANCE_WITH_IMPACTLOOP_AN_ROUTER_MIGRATIONLOOP_AN_ROUTER_UPGRADEMAINTENANCEOPTIC_FIBER_WORK_WITH_OUTAGE_DURING_NON_WORKING_HOURSPLANNED_CORRECTIVE_MAINTENANCESENSITIVE_LOOP_LINK_UPGRADETRANSMISSION_CORRECTIVE_MAINTENANCETRANSMISSION_CUSTOMER_TRANSFERT_MIGRATION_WITH_IMPACTTRANSMISSION_FIBRE_MAINTENANCETRANSMISSION_LINK_COMMISSIONING_PRODUCTION_DECOMMISSIONING_WORK_WITH_IMPACTTRANSMISSION_LINK_TRANSFERT_MIGRATION_WITH_IMPACTTRANSMISSION_MAINTENANCETRANSMISSION_MOVING_WITH_IMPACTTRANSMISSION_SWITCH_UPGRADE_WITH_IMPACTWITH_IMPACTList of impacted NRA/NRO
Operator
AXIONEBOUYGUESKOSCORANGEOVHSFRTechnology impacted by the work planned operation
Zone of the work planned operation
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ maintenance/ workPlanned/ partners \
-H "authorization: Bearer $OVH_TOKEN"[ { "dateBegin": "string", "dateEnd": "string", "departments": [ "string" ], "description": "string", "duration": "string", "fallback": true, "fallbackDateBegin": "2024-01-01T12:00:00Z", "fallbackDateEnd": "2024-01-01T12:00:00Z", "id": 0, "impact": "string", "interventionType": "BACKBONE_MAINTENANCE", "nras": [ "string" ], "operator": "AXIONE", "technology": "string", "zone": "string" }]
List the work planned by operatorsProductionPublic
Returns the planned work operations of network operators, with their dates, duration, impact, impacted NRA/NRO and departments. Filter on the begin and end dates.
Query parameters
List only work planned started after this date
List only work planned ending prior to this date
Response
Begin date, the work planned operation starts at this time
End date, the work planned operation finishes at the time
List of impacted department codes
Description of the work planned operation
Duration of the work planned operation
Fallback planned for the operation
Fallback operation starts at this time
Fallback operation ends at this time
Work Planned operation id
Impact of the work planned operation
Intervention type
BACKBONE_MAINTENANCECARD_SWAP_WITH_IMPACTCLUSTER_AN_ROUTER_MIGRATIONCORRECTIVE_MAINTENANCEDSLAM_LINK_UPGRADE_WITHOUT_CARD_SWAPDSLAM_UPGRADE_WITH_IMPACTFIBER_CABLE_LINK_SWAPFIBER_CONNECTION_WITH_IMPACTFIBER_MAINTENANCEFIBER_THIRD_PARTY_WORK_WITH_IMPACTIP_BACKBONE_LINK_MIGRATION_WITH_IMPACTIP_BACKBONE_SWITCH_UPGRADE_WITH_IMPACTIP_MAINTENANCELEVEL2_DSLAM_MIGRATIONLINK_MIGRATION_WITH_DSL_IMPACTLL_THIRD_PARTY_MAINTENANCE_WITH_IMPACTLOOP_AN_ROUTER_MIGRATIONLOOP_AN_ROUTER_UPGRADEMAINTENANCEOPTIC_FIBER_WORK_WITH_OUTAGE_DURING_NON_WORKING_HOURSPLANNED_CORRECTIVE_MAINTENANCESENSITIVE_LOOP_LINK_UPGRADETRANSMISSION_CORRECTIVE_MAINTENANCETRANSMISSION_CUSTOMER_TRANSFERT_MIGRATION_WITH_IMPACTTRANSMISSION_FIBRE_MAINTENANCETRANSMISSION_LINK_COMMISSIONING_PRODUCTION_DECOMMISSIONING_WORK_WITH_IMPACTTRANSMISSION_LINK_TRANSFERT_MIGRATION_WITH_IMPACTTRANSMISSION_MAINTENANCETRANSMISSION_MOVING_WITH_IMPACTTRANSMISSION_SWITCH_UPGRADE_WITH_IMPACTWITH_IMPACTList of impacted NRA/NRO
Operator
AXIONEBOUYGUESKOSCORANGEOVHSFRTechnology impacted by the work planned operation
Zone of the work planned operation
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ maintenance/ workPlanned/ public[ { "dateBegin": "string", "dateEnd": "string", "departments": [ "string" ], "description": "string", "duration": "string", "fallback": true, "fallbackDateBegin": "2024-01-01T12:00:00Z", "fallbackDateEnd": "2024-01-01T12:00:00Z", "id": 0, "impact": "string", "interventionType": "BACKBONE_MAINTENANCE", "nras": [ "string" ], "operator": "AXIONE", "technology": "string", "zone": "string" }]